import java.util.*;

public class Supermarkt {
    //Konstanten
    private final int artikelAnzahl = 20;
    private final int maxKundenzahl = 100;
    private final int maxKassenzahl = 10;

    // Attribute
    private Artikel[] artikel;
    private Kasse[] kasse;    
    private Kunde[] kunden;

    
    // Konstruktor
    public Supermarkt() {
        artikel = new Artikel[artikelAnzahl];
        kunden = new Kunde[maxKundenzahl];
        kasse = new Kasse[maxKassenzahl];
        initSupermarkt();
    }

    // Dienste
    public void initSupermarkt() {
        System.out.println("Artikel einrumen\n");
        int i = 0;
        artikel[i] = new Artikel(1.99,i,"Chips");i++;
        artikel[i] = new Artikel(0.99,i,"Schokolade");i++;
        artikel[i] = new Artikel(3.69,i,"Wasser");i++;
        artikel[i] = new Artikel(0.39,i,"Bifi");i++;
        artikel[i] = new Artikel(0.99,i,"Hamburger");i++;
        artikel[i] = new Artikel(7.39,i,"Fisch");i++;
        artikel[i] = new Artikel(1.29,i,"Butter");i++;
        artikel[i] = new Artikel(1.89,i,"Brot");i++;
        artikel[i] = new Artikel(1.99,i,"Marmelade");i++;
        artikel[i] = new Artikel(3.49,i,"Nutella");i++;
        artikel[i] = new Artikel(2.39,i,"Salami");i++;
        artikel[i] = new Artikel(2.69,i,"Schinken");i++;
        artikel[i] = new Artikel(1.99,i,"Wiener");i++;
        artikel[i] = new Artikel(3.49,i,"Pommes");i++;
        artikel[i] = new Artikel(0.99,i,"Salz");i++;
        artikel[i] = new Artikel(0.69,i,"Zucker");i++;
        artikel[i] = new Artikel(3.89,i,"Cola");i++;
        artikel[i] = new Artikel(3.69,i,"Fanta");i++;
        artikel[i] = new Artikel(1.99,i,"Ketchup");i++;
        artikel[i] = new Artikel(0.99,i,"Senf");
        
        System.out.println(alleArtikel());
        
        //Kassen anlegen
        i=0;
        kasse[i] = new Kasse();i++;
        kasse[i] = new Kasse();

        //Kunden anlegen
        i=0;
        kunden[i] = new Kunde("Anton Alzheimer", this);i++;
        kunden[i] = new Kunde("Berta Ball", this);i++;
        kunden[i] = new Kunde("Csar Cicerus", this);i++;
        kunden[i] = new Kunde("Doris Dach", this);
        
        kasse[0].anDieKasse(kunden[0]);
        kasse[0].anDieKasse(kunden[1]);
        kasse[0].anDieKasse(kunden[2]);
        kasse[1].anDieKasse(kunden[3]);
        
        System.out.println("Kasse 1\n");
        kasse[0].printSchlangeAusgeben();
        System.out.println("Kasse 2\n");
        kasse[1].printSchlangeAusgeben();
    }
    
    public Artikel getRandomArtikel() {
        Random zufall = new Random();
        int newIdx = zufall.nextInt(20);
        return artikel[newIdx];   
    }
    
    public String alleArtikel() {
        String erg="";
        for (int i=0; i<artikelAnzahl; i++) {
            erg += artikel[i].getDaten()+"\n";
        }
        return erg;
    }
}
